This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 785700 - Review Request: relaxngcc - RELAX NG Compiler Compiler
Review Request: relaxngcc - RELAX NG Compiler Compiler
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Nalley
Fedora Extras Quality Assurance
:
: 785701 785702 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-30 06:57 EST by gil cattaneo
Modified: 2012-03-06 04:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-06 04:59:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
david: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-01-30 06:57:25 EST
Spec URL: http://www.mediafire.com/file/aee8lw9blfag6h8/relaxngcc.spec
SRPM URL: http://www.mediafire.com/file/sotqhr2fofd8a67/relaxngcc-1.12-1.fc16.src.rpm
Description: RelaxNGCC is a tool for generating Java source code from a
given RELAX NG grammar.
Comment 1 Susi Lehtola 2012-01-30 07:30:31 EST
*** Bug 785702 has been marked as a duplicate of this bug. ***
Comment 2 Susi Lehtola 2012-01-30 07:30:34 EST
*** Bug 785701 has been marked as a duplicate of this bug. ***
Comment 4 David Nalley 2012-02-21 17:03:00 EST
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[!]  Rpmlint output:
[ke4qqq@nalleyx200 SPECS]$ rpmlint relaxngcc.spec ../SRPMS/relaxngcc-1.12-1.fc16.src.rpm ../RPMS/noarch/relaxngcc-*
relaxngcc.src: W: spelling-error %description -l en_US yacc -> yak, Yacc, ya cc
relaxngcc.noarch: E: explicit-lib-dependency msv-xsdlib
relaxngcc.noarch: W: spelling-error %description -l en_US yacc -> yak, Yacc, ya cc
relaxngcc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/relaxngcc-1.12/readme.txt
relaxngcc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/relaxngcc-1.12/HOWTO-readAutomata.txt
relaxngcc.noarch: W: class-path-in-manifest /usr/share/java/relaxngcc.jar
relaxngcc-javadoc.noarch: W: dangerous-command-in-%pre rm
relaxngcc-manual.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/relaxngcc-manual-1.12/ja/sample1.java
relaxngcc-manual.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/relaxngcc-manual-1.12/en/ngcc.css
relaxngcc-manual.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/relaxngcc-manual-1.12/en/sample1.java
relaxngcc-manual.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/relaxngcc-manual-1.12/ja/ngcc.css
4 packages and 1 specfiles checked; 1 errors, 10 warnings.

So a bit curious why you are rming stuff in %present

[X]  Package is named according to the Package Naming Guidelines[1].
[X]  Spec file name must match the base package name, in the format %{name}.spec.
[X]  Package meets the Packaging Guidelines[2].
[X]  Package successfully compiles and builds into binary rpms.
[X]  Buildroot definition is not present
[X]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[!]  License field in the package spec file matches the actual license.
License type:

This doesn't look like ASL to me, more like one of the BSDs

[X]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[!]  All independent sub-packages have license of their own
Both the subpackages need this. 

[X]  Spec file is legible and written in American English.
[X]  Sources used to build the package matches the upstream source, as provided in the spec URL.
[ke4qqq@nalleyx200 SOURCES]$ md5sum relaxngcc-20031218.zip*
e79a12522d22cdda704376daf3c2e8b2  relaxngcc-20031218.zip
e79a12522d22cdda704376daf3c2e8b2  relaxngcc-20031218.zip.1

[X]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[X]  Package must own all directories that it creates or must require other packages for directories it uses.
[X]  Package does not contain duplicates in %files.
[X]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[X]  Permissions on files are set properly.
[X]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[X]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[X]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[X]  Package does not own files or directories owned by other packages.
[X]  Javadoc documentation files are generated and included in -javadoc subpackage
[X]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[X]  Packages have proper BuildRequires/Requires on jpackage-utils
[X]  Javadoc subpackages have Require: jpackage-utils
[!]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[X]  If source tarball includes bundled jar/class files these need to be removed prior to building
Though I'd argue you aren't removing them - only renaming - please consider rming

[X]  All filenames in rpm packages must be valid UTF-8.
[X]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[-]  If package contains pom.xml files install it (including depmaps) even when building with ant
[-]  pom files has correct add_maven_depmap

=== Maven ===
[-]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[-]  Package DOES NOT use %update_maven_depmap in %post/%postun
[ -]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[X]  If possible use upstream build method (maven/ant/javac)
[X]  Avoid having BuildRequires on exact NVR unless necessary
[X]  Package has BuildArch: noarch (if possible)
[X]  Latest version is packaged.
Comment 5 gil cattaneo 2012-02-22 10:59:59 EST
(In reply to comment #4)
> Package Review
> ==============
> 
> Key:
> - = N/A
> x = Check
> ! = Problem
> ? = Not evaluated
> 
> === REQUIRED ITEMS ===
> [!]  Rpmlint output:
> [ke4qqq@nalleyx200 SPECS]$ rpmlint relaxngcc.spec
> ../SRPMS/relaxngcc-1.12-1.fc16.src.rpm ../RPMS/noarch/relaxngcc-*
> relaxngcc.src: W: spelling-error %description -l en_US yacc -> yak, Yacc, ya cc
> relaxngcc.noarch: E: explicit-lib-dependency msv-xsdlib
> relaxngcc.noarch: W: spelling-error %description -l en_US yacc -> yak, Yacc, ya
> cc
> relaxngcc.noarch: W: wrong-file-end-of-line-encoding
> /usr/share/doc/relaxngcc-1.12/readme.txt
> relaxngcc.noarch: W: wrong-file-end-of-line-encoding
> /usr/share/doc/relaxngcc-1.12/HOWTO-readAutomata.txt
> relaxngcc.noarch: W: class-path-in-manifest /usr/share/java/relaxngcc.jar
> relaxngcc-javadoc.noarch: W: dangerous-command-in-%pre rm
> relaxngcc-manual.noarch: W: wrong-file-end-of-line-encoding
> /usr/share/doc/relaxngcc-manual-1.12/ja/sample1.java
> relaxngcc-manual.noarch: W: wrong-file-end-of-line-encoding
> /usr/share/doc/relaxngcc-manual-1.12/en/ngcc.css
> relaxngcc-manual.noarch: W: wrong-file-end-of-line-encoding
> /usr/share/doc/relaxngcc-manual-1.12/en/sample1.java
> relaxngcc-manual.noarch: W: wrong-file-end-of-line-encoding
> /usr/share/doc/relaxngcc-manual-1.12/ja/ngcc.css
> 4 packages and 1 specfiles checked; 1 errors, 10 warnings.
> 
done ?
> So a bit curious why you are rming stuff in %present

> [!]  License field in the package spec file matches the actual license.
> License type:
> 
> This doesn't look like ASL to me, more like one of the BSDs

strange this is marked such as ASL in sourceforge project page

http://sourceforge.net/projects/relaxngcc/

Spec URL: http://gil.fedorapeople.org/relaxngcc.spec
SRPM URL:
http://gil.fedorapeople.org/relaxngcc-1.12-2.fc16.src.rpm
Comment 6 David Nalley 2012-02-22 11:07:59 EST
Yep - and it's ASL 1.1, not ASL 2.0 (which you've corrected) The rest looks, good. 

APPROVED.
Comment 7 gil cattaneo 2012-02-22 11:22:46 EST
New Package SCM Request
=======================
Package Name: relaxngcc
Short Description: RELAX NG Compiler Compiler
Owners: gil
Branches: f16 f17
InitialCC: java-sig
Comment 8 Jon Ciesla 2012-02-23 09:07:53 EST
devel and f17 already exist, please submit a Package Change request to add
f16.   Thanks!

http://fedoraproject.org/wiki/Package_SCM_admin_requests#Package_Change_Requests_for_existing_packages
Comment 9 gil cattaneo 2012-02-23 15:27:47 EST
New Package SCM Request
=======================
Package Name: relaxngcc
Short Description: RELAX NG Compiler Compiler
Owners: gil
Branches: f16
InitialCC: java-sig
Comment 10 Jon Ciesla 2012-02-23 15:30:47 EST
No, that's still a New Package Request.
Comment 11 gil cattaneo 2012-02-23 23:28:24 EST
Package Change Request
======================
Package Name: relaxngcc
New Branches: f16
Owners: gil
InitialCC: java-sig
[in f16 not exists]
Comment 12 Jon Ciesla 2012-02-24 08:06:35 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.